> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy

> Copies this board’s accepted item content and photos into a private item. Keeping its accepted manufacturer or source does not select a new company. Replays with the same clientRequestId return the same copy.



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/presentations/{presentationId}/items/copy
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/presentations/{presentationId}/items/copy:
    post:
      tags:
        - Presentation Items
      summary: Copy
      description: >-
        Copies this board’s accepted item content and photos into a private
        item. Keeping its accepted manufacturer or source does not select a new
        company. Replays with the same clientRequestId return the same copy.
      operationId: PresentationItemsController_copy_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CopyPresentationItemDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationItemDto'
components:
  schemas:
    CopyPresentationItemDto:
      type: object
      properties:
        ref:
          oneOf:
            - type: object
              properties:
                kind:
                  enum:
                    - project_item
                  type: string
                slotId:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
              required:
                - kind
                - slotId
              additionalProperties: false
            - type: object
              properties:
                kind:
                  type: string
                  enum:
                    - catalog_item
                catalogItemId:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
              required:
                - kind
                - catalogItemId
              additionalProperties: false
        clientRequestId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      required:
        - ref
        - clientRequestId
      additionalProperties: false
    PresentationItemDto:
      type: object
      properties:
        id:
          type: string
        presentationId:
          type: string
        name:
          type: string
        categoryId:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        columnsAttributes:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        manufacturerCompanyId:
          type:
            - string
            - 'null'
        source:
          anyOf:
            - type: object
              properties:
                companyId:
                  type: string
                officeId:
                  type:
                    - string
                    - 'null'
              required:
                - companyId
                - officeId
              additionalProperties: false
            - type: 'null'
        sourceAttributes:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        images:
          type: array
          items:
            type: object
            properties:
              uploadId:
                type:
                  - string
                  - 'null'
              url:
                type: string
              filename:
                type: string
            required:
              - uploadId
              - url
              - filename
            additionalProperties: false
        card:
          type: object
          properties:
            budgetKey:
              type:
                - string
                - 'null'
            missing:
              type: boolean
            name:
              type:
                - string
                - 'null'
            vendor:
              type:
                - string
                - 'null'
            finish:
              type:
                - string
                - 'null'
            sku:
              type:
                - string
                - 'null'
            dimensions:
              type:
                - string
                - 'null'
            leadTime:
              type:
                - string
                - 'null'
            price:
              type:
                - number
                - 'null'
            qty:
              type:
                - number
                - 'null'
            category:
              type:
                - string
                - 'null'
            area:
              type:
                - string
                - 'null'
            imageUrl:
              type:
                - string
                - 'null'
            images:
              type: array
              items:
                type: object
                properties:
                  url:
                    type: string
                  label:
                    type:
                      - string
                      - 'null'
                required:
                  - url
                  - label
                additionalProperties: false
            materials:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  finish:
                    type:
                      - string
                      - 'null'
                  location:
                    type:
                      - string
                      - 'null'
                  quantity:
                    type:
                      - string
                      - 'null'
                  price:
                    type:
                      - number
                      - 'null'
                  imageUrl:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - name
                  - finish
                  - location
                  - quantity
                  - price
                  - imageUrl
                additionalProperties: false
            linkedItems:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  vendor:
                    type:
                      - string
                      - 'null'
                  finish:
                    type:
                      - string
                      - 'null'
                  price:
                    type:
                      - number
                      - 'null'
                  dimensions:
                    type:
                      - string
                      - 'null'
                  leadTime:
                    type:
                      - string
                      - 'null'
                  imageUrl:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - name
                  - vendor
                  - finish
                  - price
                  - dimensions
                  - leadTime
                  - imageUrl
                additionalProperties: false
            alternatives:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  vendor:
                    type:
                      - string
                      - 'null'
                  price:
                    type:
                      - number
                      - 'null'
                  finish:
                    type:
                      - string
                      - 'null'
                  dimensions:
                    type:
                      - string
                      - 'null'
                  leadTime:
                    type:
                      - string
                      - 'null'
                  inStock:
                    type:
                      - boolean
                      - 'null'
                  imageUrl:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - name
                  - vendor
                  - price
                  - finish
                  - dimensions
                  - leadTime
                  - inStock
                  - imageUrl
                additionalProperties: false
            counts:
              type: object
              properties:
                materials:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                linkedItems:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                alternatives:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              required:
                - materials
                - linkedItems
                - alternatives
              additionalProperties: false
          required:
            - missing
            - name
            - vendor
            - finish
            - sku
            - dimensions
            - leadTime
            - price
            - qty
            - category
            - area
            - imageUrl
            - images
            - materials
            - linkedItems
            - alternatives
            - counts
          additionalProperties: false
        pushedSlotId:
          type:
            - string
            - 'null'
        version:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - id
        - presentationId
        - name
        - categoryId
        - productTypeId
        - columnsAttributes
        - manufacturerCompanyId
        - source
        - sourceAttributes
        - images
        - card
        - pushedSlotId
        - version
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.